<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (16) on Mon Jun 07 12:28:50 CEST 2021 -->
<title>Index</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-06-07">
<meta name="description" content="index">
<meta name="generator" content="javadoc/IndexWriter">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="script-dir/jquery-ui.min.js"></script>
</head>
<body class="index-page">
<script type="text/javascript">var pathtoroot = "./";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li class="nav-bar-cell1-rev">Index</li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<div class="header">
<h1>Index</h1>
</div>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="allpackages-index.html">All&nbsp;Packages</a>
<h2 class="title" id="I:A">A</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/listener/CloseListener.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class app.listener.<a href="app/listener/CloseListener.html" title="class in app.listener">CloseListener</a></dt>
<dd>
<div class="block">Wird ausgeführt, wenn Exit Knopf gedrückt</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/GrayscaleListener.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class app.listener.<a href="app/listener/GrayscaleListener.html" title="class in app.listener">GrayscaleListener</a></dt>
<dd>
<div class="block">Wird ausgeführt, wenn Grayscale Knopf gedrückt</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/OriginalListener.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class app.listener.<a href="app/listener/OriginalListener.html" title="class in app.listener">OriginalListener</a></dt>
<dd>
<div class="block">Wird ausgeführt, wenn Original Knopf gedrückt</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/PatternListener.html#actionPerformed(java.awt.event.ActionEvent)">actionPerformed(ActionEvent)</a></span> - Method in class app.listener.<a href="app/listener/PatternListener.html" title="class in app.listener">PatternListener</a></dt>
<dd>
<div class="block">Wird ausgeführt, wenn Pattern Knopf gedrückt</div>
</dd>
<dt><a href="app/display/package-summary.html">app.display</a> - package app.display</dt>
<dd>&nbsp;</dd>
<dt><a href="app/listener/package-summary.html">app.listener</a> - package app.listener</dt>
<dd>&nbsp;</dd>
<dt><a href="app/display/AppDrawEvent.html" title="class in app.display"><span class="type-name-link">AppDrawEvent</span></a> - Class in <a href="app/display/package-summary.html">app.display</a></dt>
<dd>
<div class="block">Hauptklasse, welche die ausführbare Main-Methode enthällt</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/AppDrawEvent.html#%3Cinit%3E()">AppDrawEvent()</a></span> - Constructor for class app.display.<a href="app/display/AppDrawEvent.html" title="class in app.display">AppDrawEvent</a></dt>
<dd>&nbsp;</dd>
<dt><a href="app/display/AppFrame.html" title="class in app.display"><span class="type-name-link">AppFrame</span></a> - Class in <a href="app/display/package-summary.html">app.display</a></dt>
<dd>
<div class="block">Neuer Konstruktor für einen Frame mit einer DefaultCloseOperation</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/AppFrame.html#%3Cinit%3E(java.lang.String)">AppFrame(String)</a></span> - Constructor for class app.display.<a href="app/display/AppFrame.html" title="class in app.display">AppFrame</a></dt>
<dd>
<div class="block">Konstruktor für besagten Frame</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/PatternListener.html#applyPattern(boolean%5B%5D%5B%5D,int,int,java.awt.image.BufferedImage)">applyPattern(boolean[][], int, int, BufferedImage)</a></span> - Static method in class app.listener.<a href="app/listener/PatternListener.html" title="class in app.listener">PatternListener</a></dt>
<dd>
<div class="block">Die Funktion wendet ein übergebenes Pattern ein eine übergebene Stelle
 eines übergebenen BufferedImages an, ersetzt also Pixel.</div>
</dd>
</dl>
<h2 class="title" id="I:C">C</h2>
<dl class="index">
<dt><a href="app/listener/CloseListener.html" title="class in app.listener"><span class="type-name-link">CloseListener</span></a> - Class in <a href="app/listener/package-summary.html">app.listener</a></dt>
<dd>
<div class="block">CloseListener Klasse horcht auf den Exit Button</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/CloseListener.html#%3Cinit%3E()">CloseListener()</a></span> - Constructor for class app.listener.<a href="app/listener/CloseListener.html" title="class in app.listener">CloseListener</a></dt>
<dd>&nbsp;</dd>
</dl>
<h2 class="title" id="I:G">G</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/listener/GrayscaleListener.html#getGrayscaleBuf(java.awt.image.BufferedImage)">getGrayscaleBuf(BufferedImage)</a></span> - Static method in class app.listener.<a href="app/listener/GrayscaleListener.html" title="class in app.listener">GrayscaleListener</a></dt>
<dd>
<div class="block">Die Funktion bekommt ein BufferedImage und macht es grau.</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/PatternListener.html#getPatternBuf(java.awt.image.BufferedImage)">getPatternBuf(BufferedImage)</a></span> - Static method in class app.listener.<a href="app/listener/PatternListener.html" title="class in app.listener">PatternListener</a></dt>
<dd>
<div class="block">Die Funktion bekommt ein BufferedImage und wendet das Pattern darauf an.</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/OriginalListener.html#getScaledBuf(java.awt.image.BufferedImage)">getScaledBuf(BufferedImage)</a></span> - Static method in class app.listener.<a href="app/listener/OriginalListener.html" title="class in app.listener">OriginalListener</a></dt>
<dd>
<div class="block">Die Funktion bekommt ein BufferedImage und skaliert es mit dem Faktor Zwei
 Das heißt es wird doppelt so breit und hoch.</div>
</dd>
<dt><a href="app/listener/GrayscaleListener.html" title="class in app.listener"><span class="type-name-link">GrayscaleListener</span></a> - Class in <a href="app/listener/package-summary.html">app.listener</a></dt>
<dd>
<div class="block">GrayscaleListener Klasse horcht auf den Grayscale Button</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/GrayscaleListener.html#%3Cinit%3E(java.awt.image.BufferedImage,javax.swing.JLabel)">GrayscaleListener(BufferedImage, JLabel)</a></span> - Constructor for class app.listener.<a href="app/listener/GrayscaleListener.html" title="class in app.listener">GrayscaleListener</a></dt>
<dd>
<div class="block">Konstruktor für einen GrayscaleListener</div>
</dd>
</dl>
<h2 class="title" id="I:I">I</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/listener/GrayscaleListener.html#img">img</a></span> - Variable in class app.listener.<a href="app/listener/GrayscaleListener.html" title="class in app.listener">GrayscaleListener</a></dt>
<dd>
<div class="block">Objektvariable img speichert das Bild</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/OriginalListener.html#img">img</a></span> - Variable in class app.listener.<a href="app/listener/OriginalListener.html" title="class in app.listener">OriginalListener</a></dt>
<dd>
<div class="block">Objektvariable img speichert das Bild</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/PatternListener.html#img">img</a></span> - Variable in class app.listener.<a href="app/listener/PatternListener.html" title="class in app.listener">PatternListener</a></dt>
<dd>
<div class="block">Objektvariable img speichert das Bild</div>
</dd>
</dl>
<h2 class="title" id="I:L">L</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/listener/GrayscaleListener.html#label">label</a></span> - Variable in class app.listener.<a href="app/listener/GrayscaleListener.html" title="class in app.listener">GrayscaleListener</a></dt>
<dd>
<div class="block">label speichert die Referenz auf das ursprüngliche Label</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/OriginalListener.html#label">label</a></span> - Variable in class app.listener.<a href="app/listener/OriginalListener.html" title="class in app.listener">OriginalListener</a></dt>
<dd>
<div class="block">label speichert die Referenz auf das ursprüngliche Label</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/PatternListener.html#label">label</a></span> - Variable in class app.listener.<a href="app/listener/PatternListener.html" title="class in app.listener">PatternListener</a></dt>
<dd>
<div class="block">label speichert die Referenz auf das ursprüngliche Label</div>
</dd>
</dl>
<h2 class="title" id="I:M">M</h2>
<dl class="index">
<dt><span class="member-name-link"><a href="app/display/AppDrawEvent.html#main(java.lang.String%5B%5D)">main(String[])</a></span> - Static method in class app.display.<a href="app/display/AppDrawEvent.html" title="class in app.display">AppDrawEvent</a></dt>
<dd>
<div class="block">Main-Methode, welche ein Bild übergeben bekommt</div>
</dd>
<dt><a href="app/display/MyButton.html" title="class in app.display"><span class="type-name-link">MyButton</span></a> - Class in <a href="app/display/package-summary.html">app.display</a></dt>
<dd>
<div class="block">Klasse für einen eigenen Button ohne blauen Schimmer</div>
</dd>
<dt><span class="member-name-link"><a href="app/display/MyButton.html#%3Cinit%3E(java.lang.String)">MyButton(String)</a></span> - Constructor for class app.display.<a href="app/display/MyButton.html" title="class in app.display">MyButton</a></dt>
<dd>
<div class="block">Konstruktor für einen Button</div>
</dd>
</dl>
<h2 class="title" id="I:O">O</h2>
<dl class="index">
<dt><a href="app/listener/OriginalListener.html" title="class in app.listener"><span class="type-name-link">OriginalListener</span></a> - Class in <a href="app/listener/package-summary.html">app.listener</a></dt>
<dd>
<div class="block">OriginalListener Klasse horcht auf den Original Button</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/OriginalListener.html#%3Cinit%3E(java.awt.image.BufferedImage,javax.swing.JLabel)">OriginalListener(BufferedImage, JLabel)</a></span> - Constructor for class app.listener.<a href="app/listener/OriginalListener.html" title="class in app.listener">OriginalListener</a></dt>
<dd>
<div class="block">Konstruktor für einen OriginalListener</div>
</dd>
</dl>
<h2 class="title" id="I:P">P</h2>
<dl class="index">
<dt><a href="app/listener/PatternListener.html" title="class in app.listener"><span class="type-name-link">PatternListener</span></a> - Class in <a href="app/listener/package-summary.html">app.listener</a></dt>
<dd>
<div class="block">PatternListener Klasse horcht auf den Pattern Button</div>
</dd>
<dt><span class="member-name-link"><a href="app/listener/PatternListener.html#%3Cinit%3E(java.awt.image.BufferedImage,javax.swing.JLabel)">PatternListener(BufferedImage, JLabel)</a></span> - Constructor for class app.listener.<a href="app/listener/PatternListener.html" title="class in app.listener">PatternListener</a></dt>
<dd>
<div class="block">Konstruktor für einen PatterListener</div>
</dd>
</dl>
<a href="#I:A">A</a>&nbsp;<a href="#I:C">C</a>&nbsp;<a href="#I:G">G</a>&nbsp;<a href="#I:I">I</a>&nbsp;<a href="#I:L">L</a>&nbsp;<a href="#I:M">M</a>&nbsp;<a href="#I:O">O</a>&nbsp;<a href="#I:P">P</a>&nbsp;<br><a href="allclasses-index.html">All&nbsp;Classes</a><span class="vertical-separator">|</span><a href="allpackages-index.html">All&nbsp;Packages</a></main>
</div>
</div>
</body>
</html>
